#856 version 5.9.2 does not start

closed
nobody
5
2009-03-06
2006-01-15
Anonymous
No

I had version 5.9.1 running under a Red-Hat 9 clone
(Aurox9.2) with a2.4.20-20.9 Linux kernel. I used the
rpm package from sourceforge to update to 5.9.2. The
result: the tests did not run. When I entered an
expression, after pressing "enter", the expression was
just repeated. I got a message Error: can't read
"_WinInfo.maxima.text(at Maxima Prompt)": no such
element in array. After leaving this box, I got a
question "Starting Maxima timed out. Wait longer?"
Answering yes or no made no difference, the same would
happen again. I tried to save the file with the
detailed error messages, but that did not work.

I did re-install version 5.9.1 with the rpm
--oldpackage option. 5.9.1 did work again. However, I
noticed that 5.9.2 was still installed. I tried to
remove it, but got messages that5.9.1 required soem of
the packages of 5.9.2. Then I removed both 5.9.1 and
5.9.2. Then I could re-install 5.9.1 alone, and it
works fine.

Hans Joksch <hjoksch@att.net>

Discussion

  • Robert Dodier

    Robert Dodier - 2006-01-16

    Logged In: YES
    user_id=501686

    Hans -- the Maxima distribution for Linux comprises 3 rpm
    files: the maxima-exec rpm, the maxima rpm, and the xmaxima
    rpm. Maxima-exec = compiled Lisp image, maxima = Lisp source
    code and scripts, xmaxima = graphical user interface. Of
    these 3, at least maxima-exec and maxima must be installed.
    To judge by the error messages, you want to run xmaxima, so
    you need all three.

    The files are named:
    maxima-exec-gcl-5.9.2-2.i386.rpm
    maxima-5.9.2-2.i386.rpm
    maxima-xmaxima-5.9.2-2.i386.rpm

    For reference the SF file manager:
    http://sourceforge.net/project/showfiles.php?group_id=4933#files

    If you have already installed all 3 rpms for 5.9.2, we'll
    need more investigation. First -- does the maxima command
    (text-only interface) work?

    The rpm files were developed on a Fedora Core 1 system
    (similar to Redhat 9) so I hope the rpms will work.

     
  • Nobody/Anonymous

    Logged In: NO

    Yes the same exact thing happens to me with 5.8.2.99rc3 on
    Windows XP.

    Jeff Henrikson henrikso@amazon.com

     
  • Robert Dodier

    Robert Dodier - 2006-04-12
    • labels: --> Installation
     
  • Nobody/Anonymous

    Logged In: NO

    I have the same problem on Windows XP with Maxima 9.5.3.

     
  • Nobody/Anonymous

    Logged In: NO

    Encountered the same on an XP machine with 5.9.3.
    It worked properly for months. The only changes were
    installing the microsoft updates and updating GnuPlot to
    the latest beta 4.1 (25/07/06). I will check if downgrading
    GnuPlot helps.

     
  • Dieter Kaiser

    Dieter Kaiser - 2009-03-06
    • status: open --> closed
     
  • Dieter Kaiser

    Dieter Kaiser - 2009-03-06

    The bug report is about 3 years old and now we have Maxima 5.17.0. I think this bug report is out of date.

    Closing the bug report.

    Dieter Kaiser

     

Get latest updates about Open Source Projects, Conferences and News.

Sign up for the SourceForge newsletter:





No, thanks